Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.policy
Class PolicyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jetty.policy.PolicyException

All Implemented Interfaces:
  java.io.Serializable

    public class PolicyException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`PolicyException()`
`PolicyException(java.lang.String message)`
`PolicyException(java.lang.String message, java.lang.Throwable cause)`
`PolicyException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolicyException

    public PolicyException()

### PolicyException

    public PolicyException(java.lang.String message,
                           java.lang.Throwable cause)

### PolicyException

    public PolicyException(java.lang.String message)

### PolicyException

    public PolicyException(java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.